Page MenuHomePhabricator

[Task] Emit correct lang and dir attributes for missing terms messages in the termbox in PHP
Closed, ResolvedPublic

Description

If EntityTermsView::getEntityTermsForLanguageListView is asked to output terms for a language but there is no label or description in that language available, it shows a placeholder message. That message is not necessarily in the language terms were requested to be in, but in the UI language. As such, the message needs to be marked with lang and dir attributes. JS already does this, PHP doesn't.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2016, 8:47 AM

Change 274398 had a related patch set uploaded (by Adrian Heine):
Re-use entitytermsview from PHP in JS

https://gerrit.wikimedia.org/r/274398

adrianheine renamed this task from [Task] Emit correct lang and dir attributes for missing terms messages in PHP to [Task] Emit correct lang and dir attributes for missing terms messages in the termbox in PHP.Apr 14 2016, 8:16 AM
adrianheine updated the task description. (Show Details)

Change 274398 merged by jenkins-bot:
Re-use entitytermsview from PHP in JS

https://gerrit.wikimedia.org/r/274398

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 2:50 PM
adrianheine closed this task as Resolved.Apr 19 2016, 9:09 PM
adrianheine moved this task from Review to Done on the Wikidata-Sprint-2016-04-12 board.